Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network97.2.0.0/19
Usable hosts8,190
Subnet mask255.255.224.0
Addresses8,192
Network address
97.2.0.0
Broadcast address
97.2.31.255
First usable
97.2.0.1
Last usable
97.2.31.254
Usable hosts
8,190 (8,192 less the network and broadcast addresses)
Subnet mask
255.255.224.0
Wildcard mask
0.0.31.255 (Cisco ACLs, OSPF)
Prefix length
/19
Type
Public public
Old class
A (default /8)
As numbers
Hex 61020000 · Integer 1627521024 to 1627529215
Reverse DNS zones
0.2.97.in-addr.arpa
1.2.97.in-addr.arpa
2.2.97.in-addr.arpa
3.2.97.in-addr.arpa
4.2.97.in-addr.arpa
5.2.97.in-addr.arpa
6.2.97.in-addr.arpa
7.2.97.in-addr.arpa
8.2.97.in-addr.arpa
9.2.97.in-addr.arpa
10.2.97.in-addr.arpa
11.2.97.in-addr.arpa
12.2.97.in-addr.arpa
13.2.97.in-addr.arpa
14.2.97.in-addr.arpa
15.2.97.in-addr.arpa
and 16 more
/19 is not on a 8-bit boundary, so it takes 32 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01100001.00000010.00000000.0000000097.2.0.0
Subnet mask11111111.11111111.11100000.00000000255.255.224.0
Network01100001.00000010.00000000.0000000097.2.0.0
Broadcast01100001.00000010.00011111.1111111197.2.31.255
Split into smaller subnets/29

97.2.0.0/19 makes 1,024 subnets of /29; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
197.2.0.0/2997.2.0.1 to 97.2.0.697.2.0.76
297.2.0.8/2997.2.0.9 to 97.2.0.1497.2.0.156
397.2.0.16/2997.2.0.17 to 97.2.0.2297.2.0.236
497.2.0.24/2997.2.0.25 to 97.2.0.3097.2.0.316
597.2.0.32/2997.2.0.33 to 97.2.0.3897.2.0.396
697.2.0.40/2997.2.0.41 to 97.2.0.4697.2.0.476
797.2.0.48/2997.2.0.49 to 97.2.0.5497.2.0.556
897.2.0.56/2997.2.0.57 to 97.2.0.6297.2.0.636
997.2.0.64/2997.2.0.65 to 97.2.0.7097.2.0.716
1097.2.0.72/2997.2.0.73 to 97.2.0.7897.2.0.796
1197.2.0.80/2997.2.0.81 to 97.2.0.8697.2.0.876
1297.2.0.88/2997.2.0.89 to 97.2.0.9497.2.0.956
1397.2.0.96/2997.2.0.97 to 97.2.0.10297.2.0.1036
1497.2.0.104/2997.2.0.105 to 97.2.0.11097.2.0.1116
1597.2.0.112/2997.2.0.113 to 97.2.0.11897.2.0.1196
1697.2.0.120/2997.2.0.121 to 97.2.0.12697.2.0.1276
1797.2.0.128/2997.2.0.129 to 97.2.0.13497.2.0.1356
1897.2.0.136/2997.2.0.137 to 97.2.0.14297.2.0.1436
1997.2.0.144/2997.2.0.145 to 97.2.0.15097.2.0.1516
2097.2.0.152/2997.2.0.153 to 97.2.0.15897.2.0.1596
2197.2.0.160/2997.2.0.161 to 97.2.0.16697.2.0.1676
2297.2.0.168/2997.2.0.169 to 97.2.0.17497.2.0.1756
2397.2.0.176/2997.2.0.177 to 97.2.0.18297.2.0.1836
2497.2.0.184/2997.2.0.185 to 97.2.0.19097.2.0.1916
2597.2.0.192/2997.2.0.193 to 97.2.0.19897.2.0.1996
2697.2.0.200/2997.2.0.201 to 97.2.0.20697.2.0.2076
2797.2.0.208/2997.2.0.209 to 97.2.0.21497.2.0.2156
2897.2.0.216/2997.2.0.217 to 97.2.0.22297.2.0.2236
2997.2.0.224/2997.2.0.225 to 97.2.0.23097.2.0.2316
3097.2.0.232/2997.2.0.233 to 97.2.0.23897.2.0.2396
3197.2.0.240/2997.2.0.241 to 97.2.0.24697.2.0.2476
3297.2.0.248/2997.2.0.249 to 97.2.0.25497.2.0.2556
3397.2.1.0/2997.2.1.1 to 97.2.1.697.2.1.76
3497.2.1.8/2997.2.1.9 to 97.2.1.1497.2.1.156
3597.2.1.16/2997.2.1.17 to 97.2.1.2297.2.1.236
3697.2.1.24/2997.2.1.25 to 97.2.1.3097.2.1.316
3797.2.1.32/2997.2.1.33 to 97.2.1.3897.2.1.396
3897.2.1.40/2997.2.1.41 to 97.2.1.4697.2.1.476
3997.2.1.48/2997.2.1.49 to 97.2.1.5497.2.1.556
4097.2.1.56/2997.2.1.57 to 97.2.1.6297.2.1.636
4197.2.1.64/2997.2.1.65 to 97.2.1.7097.2.1.716
4297.2.1.72/2997.2.1.73 to 97.2.1.7897.2.1.796
4397.2.1.80/2997.2.1.81 to 97.2.1.8697.2.1.876
4497.2.1.88/2997.2.1.89 to 97.2.1.9497.2.1.956
4597.2.1.96/2997.2.1.97 to 97.2.1.10297.2.1.1036
4697.2.1.104/2997.2.1.105 to 97.2.1.11097.2.1.1116
4797.2.1.112/2997.2.1.113 to 97.2.1.11897.2.1.1196
4897.2.1.120/2997.2.1.121 to 97.2.1.12697.2.1.1276
4997.2.1.128/2997.2.1.129 to 97.2.1.13497.2.1.1356
5097.2.1.136/2997.2.1.137 to 97.2.1.14297.2.1.1436
5197.2.1.144/2997.2.1.145 to 97.2.1.15097.2.1.1516
5297.2.1.152/2997.2.1.153 to 97.2.1.15897.2.1.1596
5397.2.1.160/2997.2.1.161 to 97.2.1.16697.2.1.1676
5497.2.1.168/2997.2.1.169 to 97.2.1.17497.2.1.1756
5597.2.1.176/2997.2.1.177 to 97.2.1.18297.2.1.1836
5697.2.1.184/2997.2.1.185 to 97.2.1.19097.2.1.1916
5797.2.1.192/2997.2.1.193 to 97.2.1.19897.2.1.1996
5897.2.1.200/2997.2.1.201 to 97.2.1.20697.2.1.2076
5997.2.1.208/2997.2.1.209 to 97.2.1.21497.2.1.2156
6097.2.1.216/2997.2.1.217 to 97.2.1.22297.2.1.2236
6197.2.1.224/2997.2.1.225 to 97.2.1.23097.2.1.2316
6297.2.1.232/2997.2.1.233 to 97.2.1.23897.2.1.2396
6397.2.1.240/2997.2.1.241 to 97.2.1.24697.2.1.2476
6497.2.1.248/2997.2.1.249 to 97.2.1.25497.2.1.2556
6597.2.2.0/2997.2.2.1 to 97.2.2.697.2.2.76
6697.2.2.8/2997.2.2.9 to 97.2.2.1497.2.2.156
6797.2.2.16/2997.2.2.17 to 97.2.2.2297.2.2.236
6897.2.2.24/2997.2.2.25 to 97.2.2.3097.2.2.316
6997.2.2.32/2997.2.2.33 to 97.2.2.3897.2.2.396
7097.2.2.40/2997.2.2.41 to 97.2.2.4697.2.2.476
7197.2.2.48/2997.2.2.49 to 97.2.2.5497.2.2.556
7297.2.2.56/2997.2.2.57 to 97.2.2.6297.2.2.636
7397.2.2.64/2997.2.2.65 to 97.2.2.7097.2.2.716
7497.2.2.72/2997.2.2.73 to 97.2.2.7897.2.2.796
7597.2.2.80/2997.2.2.81 to 97.2.2.8697.2.2.876
7697.2.2.88/2997.2.2.89 to 97.2.2.9497.2.2.956
7797.2.2.96/2997.2.2.97 to 97.2.2.10297.2.2.1036
7897.2.2.104/2997.2.2.105 to 97.2.2.11097.2.2.1116
7997.2.2.112/2997.2.2.113 to 97.2.2.11897.2.2.1196
8097.2.2.120/2997.2.2.121 to 97.2.2.12697.2.2.1276
8197.2.2.128/2997.2.2.129 to 97.2.2.13497.2.2.1356
8297.2.2.136/2997.2.2.137 to 97.2.2.14297.2.2.1436
8397.2.2.144/2997.2.2.145 to 97.2.2.15097.2.2.1516
8497.2.2.152/2997.2.2.153 to 97.2.2.15897.2.2.1596
8597.2.2.160/2997.2.2.161 to 97.2.2.16697.2.2.1676
8697.2.2.168/2997.2.2.169 to 97.2.2.17497.2.2.1756
8797.2.2.176/2997.2.2.177 to 97.2.2.18297.2.2.1836
8897.2.2.184/2997.2.2.185 to 97.2.2.19097.2.2.1916
8997.2.2.192/2997.2.2.193 to 97.2.2.19897.2.2.1996
9097.2.2.200/2997.2.2.201 to 97.2.2.20697.2.2.2076
9197.2.2.208/2997.2.2.209 to 97.2.2.21497.2.2.2156
9297.2.2.216/2997.2.2.217 to 97.2.2.22297.2.2.2236
9397.2.2.224/2997.2.2.225 to 97.2.2.23097.2.2.2316
9497.2.2.232/2997.2.2.233 to 97.2.2.23897.2.2.2396
9597.2.2.240/2997.2.2.241 to 97.2.2.24697.2.2.2476
9697.2.2.248/2997.2.2.249 to 97.2.2.25497.2.2.2556
9797.2.3.0/2997.2.3.1 to 97.2.3.697.2.3.76
9897.2.3.8/2997.2.3.9 to 97.2.3.1497.2.3.156
9997.2.3.16/2997.2.3.17 to 97.2.3.2297.2.3.236
10097.2.3.24/2997.2.3.25 to 97.2.3.3097.2.3.316
10197.2.3.32/2997.2.3.33 to 97.2.3.3897.2.3.396
10297.2.3.40/2997.2.3.41 to 97.2.3.4697.2.3.476
10397.2.3.48/2997.2.3.49 to 97.2.3.5497.2.3.556
10497.2.3.56/2997.2.3.57 to 97.2.3.6297.2.3.636
10597.2.3.64/2997.2.3.65 to 97.2.3.7097.2.3.716
10697.2.3.72/2997.2.3.73 to 97.2.3.7897.2.3.796
10797.2.3.80/2997.2.3.81 to 97.2.3.8697.2.3.876
10897.2.3.88/2997.2.3.89 to 97.2.3.9497.2.3.956
10997.2.3.96/2997.2.3.97 to 97.2.3.10297.2.3.1036
11097.2.3.104/2997.2.3.105 to 97.2.3.11097.2.3.1116
11197.2.3.112/2997.2.3.113 to 97.2.3.11897.2.3.1196
11297.2.3.120/2997.2.3.121 to 97.2.3.12697.2.3.1276
11397.2.3.128/2997.2.3.129 to 97.2.3.13497.2.3.1356
11497.2.3.136/2997.2.3.137 to 97.2.3.14297.2.3.1436
11597.2.3.144/2997.2.3.145 to 97.2.3.15097.2.3.1516
11697.2.3.152/2997.2.3.153 to 97.2.3.15897.2.3.1596
11797.2.3.160/2997.2.3.161 to 97.2.3.16697.2.3.1676
11897.2.3.168/2997.2.3.169 to 97.2.3.17497.2.3.1756
11997.2.3.176/2997.2.3.177 to 97.2.3.18297.2.3.1836
12097.2.3.184/2997.2.3.185 to 97.2.3.19097.2.3.1916
12197.2.3.192/2997.2.3.193 to 97.2.3.19897.2.3.1996
12297.2.3.200/2997.2.3.201 to 97.2.3.20697.2.3.2076
12397.2.3.208/2997.2.3.209 to 97.2.3.21497.2.3.2156
12497.2.3.216/2997.2.3.217 to 97.2.3.22297.2.3.2236
12597.2.3.224/2997.2.3.225 to 97.2.3.23097.2.3.2316
12697.2.3.232/2997.2.3.233 to 97.2.3.23897.2.3.2396
12797.2.3.240/2997.2.3.241 to 97.2.3.24697.2.3.2476
12897.2.3.248/2997.2.3.249 to 97.2.3.25497.2.3.2556
12997.2.4.0/2997.2.4.1 to 97.2.4.697.2.4.76
13097.2.4.8/2997.2.4.9 to 97.2.4.1497.2.4.156
13197.2.4.16/2997.2.4.17 to 97.2.4.2297.2.4.236
13297.2.4.24/2997.2.4.25 to 97.2.4.3097.2.4.316
13397.2.4.32/2997.2.4.33 to 97.2.4.3897.2.4.396
13497.2.4.40/2997.2.4.41 to 97.2.4.4697.2.4.476
13597.2.4.48/2997.2.4.49 to 97.2.4.5497.2.4.556
13697.2.4.56/2997.2.4.57 to 97.2.4.6297.2.4.636
13797.2.4.64/2997.2.4.65 to 97.2.4.7097.2.4.716
13897.2.4.72/2997.2.4.73 to 97.2.4.7897.2.4.796
13997.2.4.80/2997.2.4.81 to 97.2.4.8697.2.4.876
14097.2.4.88/2997.2.4.89 to 97.2.4.9497.2.4.956
14197.2.4.96/2997.2.4.97 to 97.2.4.10297.2.4.1036
14297.2.4.104/2997.2.4.105 to 97.2.4.11097.2.4.1116
14397.2.4.112/2997.2.4.113 to 97.2.4.11897.2.4.1196
14497.2.4.120/2997.2.4.121 to 97.2.4.12697.2.4.1276
14597.2.4.128/2997.2.4.129 to 97.2.4.13497.2.4.1356
14697.2.4.136/2997.2.4.137 to 97.2.4.14297.2.4.1436
14797.2.4.144/2997.2.4.145 to 97.2.4.15097.2.4.1516
14897.2.4.152/2997.2.4.153 to 97.2.4.15897.2.4.1596
14997.2.4.160/2997.2.4.161 to 97.2.4.16697.2.4.1676
15097.2.4.168/2997.2.4.169 to 97.2.4.17497.2.4.1756
15197.2.4.176/2997.2.4.177 to 97.2.4.18297.2.4.1836
15297.2.4.184/2997.2.4.185 to 97.2.4.19097.2.4.1916
15397.2.4.192/2997.2.4.193 to 97.2.4.19897.2.4.1996
15497.2.4.200/2997.2.4.201 to 97.2.4.20697.2.4.2076
15597.2.4.208/2997.2.4.209 to 97.2.4.21497.2.4.2156
15697.2.4.216/2997.2.4.217 to 97.2.4.22297.2.4.2236
15797.2.4.224/2997.2.4.225 to 97.2.4.23097.2.4.2316
15897.2.4.232/2997.2.4.233 to 97.2.4.23897.2.4.2396
15997.2.4.240/2997.2.4.241 to 97.2.4.24697.2.4.2476
16097.2.4.248/2997.2.4.249 to 97.2.4.25497.2.4.2556
16197.2.5.0/2997.2.5.1 to 97.2.5.697.2.5.76
16297.2.5.8/2997.2.5.9 to 97.2.5.1497.2.5.156
16397.2.5.16/2997.2.5.17 to 97.2.5.2297.2.5.236
16497.2.5.24/2997.2.5.25 to 97.2.5.3097.2.5.316
16597.2.5.32/2997.2.5.33 to 97.2.5.3897.2.5.396
16697.2.5.40/2997.2.5.41 to 97.2.5.4697.2.5.476
16797.2.5.48/2997.2.5.49 to 97.2.5.5497.2.5.556
16897.2.5.56/2997.2.5.57 to 97.2.5.6297.2.5.636
16997.2.5.64/2997.2.5.65 to 97.2.5.7097.2.5.716
17097.2.5.72/2997.2.5.73 to 97.2.5.7897.2.5.796
17197.2.5.80/2997.2.5.81 to 97.2.5.8697.2.5.876
17297.2.5.88/2997.2.5.89 to 97.2.5.9497.2.5.956
17397.2.5.96/2997.2.5.97 to 97.2.5.10297.2.5.1036
17497.2.5.104/2997.2.5.105 to 97.2.5.11097.2.5.1116
17597.2.5.112/2997.2.5.113 to 97.2.5.11897.2.5.1196
17697.2.5.120/2997.2.5.121 to 97.2.5.12697.2.5.1276
17797.2.5.128/2997.2.5.129 to 97.2.5.13497.2.5.1356
17897.2.5.136/2997.2.5.137 to 97.2.5.14297.2.5.1436
17997.2.5.144/2997.2.5.145 to 97.2.5.15097.2.5.1516
18097.2.5.152/2997.2.5.153 to 97.2.5.15897.2.5.1596
18197.2.5.160/2997.2.5.161 to 97.2.5.16697.2.5.1676
18297.2.5.168/2997.2.5.169 to 97.2.5.17497.2.5.1756
18397.2.5.176/2997.2.5.177 to 97.2.5.18297.2.5.1836
18497.2.5.184/2997.2.5.185 to 97.2.5.19097.2.5.1916
18597.2.5.192/2997.2.5.193 to 97.2.5.19897.2.5.1996
18697.2.5.200/2997.2.5.201 to 97.2.5.20697.2.5.2076
18797.2.5.208/2997.2.5.209 to 97.2.5.21497.2.5.2156
18897.2.5.216/2997.2.5.217 to 97.2.5.22297.2.5.2236
18997.2.5.224/2997.2.5.225 to 97.2.5.23097.2.5.2316
19097.2.5.232/2997.2.5.233 to 97.2.5.23897.2.5.2396
19197.2.5.240/2997.2.5.241 to 97.2.5.24697.2.5.2476
19297.2.5.248/2997.2.5.249 to 97.2.5.25497.2.5.2556
19397.2.6.0/2997.2.6.1 to 97.2.6.697.2.6.76
19497.2.6.8/2997.2.6.9 to 97.2.6.1497.2.6.156
19597.2.6.16/2997.2.6.17 to 97.2.6.2297.2.6.236
19697.2.6.24/2997.2.6.25 to 97.2.6.3097.2.6.316
19797.2.6.32/2997.2.6.33 to 97.2.6.3897.2.6.396
19897.2.6.40/2997.2.6.41 to 97.2.6.4697.2.6.476
19997.2.6.48/2997.2.6.49 to 97.2.6.5497.2.6.556
20097.2.6.56/2997.2.6.57 to 97.2.6.6297.2.6.636
20197.2.6.64/2997.2.6.65 to 97.2.6.7097.2.6.716
20297.2.6.72/2997.2.6.73 to 97.2.6.7897.2.6.796
20397.2.6.80/2997.2.6.81 to 97.2.6.8697.2.6.876
20497.2.6.88/2997.2.6.89 to 97.2.6.9497.2.6.956
20597.2.6.96/2997.2.6.97 to 97.2.6.10297.2.6.1036
20697.2.6.104/2997.2.6.105 to 97.2.6.11097.2.6.1116
20797.2.6.112/2997.2.6.113 to 97.2.6.11897.2.6.1196
20897.2.6.120/2997.2.6.121 to 97.2.6.12697.2.6.1276
20997.2.6.128/2997.2.6.129 to 97.2.6.13497.2.6.1356
21097.2.6.136/2997.2.6.137 to 97.2.6.14297.2.6.1436
21197.2.6.144/2997.2.6.145 to 97.2.6.15097.2.6.1516
21297.2.6.152/2997.2.6.153 to 97.2.6.15897.2.6.1596
21397.2.6.160/2997.2.6.161 to 97.2.6.16697.2.6.1676
21497.2.6.168/2997.2.6.169 to 97.2.6.17497.2.6.1756
21597.2.6.176/2997.2.6.177 to 97.2.6.18297.2.6.1836
21697.2.6.184/2997.2.6.185 to 97.2.6.19097.2.6.1916
21797.2.6.192/2997.2.6.193 to 97.2.6.19897.2.6.1996
21897.2.6.200/2997.2.6.201 to 97.2.6.20697.2.6.2076
21997.2.6.208/2997.2.6.209 to 97.2.6.21497.2.6.2156
22097.2.6.216/2997.2.6.217 to 97.2.6.22297.2.6.2236
22197.2.6.224/2997.2.6.225 to 97.2.6.23097.2.6.2316
22297.2.6.232/2997.2.6.233 to 97.2.6.23897.2.6.2396
22397.2.6.240/2997.2.6.241 to 97.2.6.24697.2.6.2476
22497.2.6.248/2997.2.6.249 to 97.2.6.25497.2.6.2556
22597.2.7.0/2997.2.7.1 to 97.2.7.697.2.7.76
22697.2.7.8/2997.2.7.9 to 97.2.7.1497.2.7.156
22797.2.7.16/2997.2.7.17 to 97.2.7.2297.2.7.236
22897.2.7.24/2997.2.7.25 to 97.2.7.3097.2.7.316
22997.2.7.32/2997.2.7.33 to 97.2.7.3897.2.7.396
23097.2.7.40/2997.2.7.41 to 97.2.7.4697.2.7.476
23197.2.7.48/2997.2.7.49 to 97.2.7.5497.2.7.556
23297.2.7.56/2997.2.7.57 to 97.2.7.6297.2.7.636
23397.2.7.64/2997.2.7.65 to 97.2.7.7097.2.7.716
23497.2.7.72/2997.2.7.73 to 97.2.7.7897.2.7.796
23597.2.7.80/2997.2.7.81 to 97.2.7.8697.2.7.876
23697.2.7.88/2997.2.7.89 to 97.2.7.9497.2.7.956
23797.2.7.96/2997.2.7.97 to 97.2.7.10297.2.7.1036
23897.2.7.104/2997.2.7.105 to 97.2.7.11097.2.7.1116
23997.2.7.112/2997.2.7.113 to 97.2.7.11897.2.7.1196
24097.2.7.120/2997.2.7.121 to 97.2.7.12697.2.7.1276
24197.2.7.128/2997.2.7.129 to 97.2.7.13497.2.7.1356
24297.2.7.136/2997.2.7.137 to 97.2.7.14297.2.7.1436
24397.2.7.144/2997.2.7.145 to 97.2.7.15097.2.7.1516
24497.2.7.152/2997.2.7.153 to 97.2.7.15897.2.7.1596
24597.2.7.160/2997.2.7.161 to 97.2.7.16697.2.7.1676
24697.2.7.168/2997.2.7.169 to 97.2.7.17497.2.7.1756
24797.2.7.176/2997.2.7.177 to 97.2.7.18297.2.7.1836
24897.2.7.184/2997.2.7.185 to 97.2.7.19097.2.7.1916
24997.2.7.192/2997.2.7.193 to 97.2.7.19897.2.7.1996
25097.2.7.200/2997.2.7.201 to 97.2.7.20697.2.7.2076
25197.2.7.208/2997.2.7.209 to 97.2.7.21497.2.7.2156
25297.2.7.216/2997.2.7.217 to 97.2.7.22297.2.7.2236
25397.2.7.224/2997.2.7.225 to 97.2.7.23097.2.7.2316
25497.2.7.232/2997.2.7.233 to 97.2.7.23897.2.7.2396
25597.2.7.240/2997.2.7.241 to 97.2.7.24697.2.7.2476
25697.2.7.248/2997.2.7.249 to 97.2.7.25497.2.7.2556

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses